$(function () {
    var passchange = {
        init: function () {
            this.render();
            this.bindEvent();
        },
        render: function () {
            $('title').text(_AN_str_title_passchange);
            $('#title').text(_AN_str_title_passchange);
            $('#changePass').text(_AN_str_title_passchange);
            $('label[for="new_pass"]').text(_AN_str_newpass);
            $('label[for="confirm"]').text(_AN_str_confirm);
            $('#cancel').text(_AN_str_cancel);
        },
        bindEvent: function () {
            $('#changePass').on('click', this.changePass.bind(this));
            $('#closeMsg').on('click', this.closeMsg.bind(this));
            $('#cancel').on('click', function () {
                history.back();
            })
        },
        changePass: function () {
            var password = $('#new_pass').val();
            var confirm = $('#confirm').val();
            if (password != confirm) {
                this.infoMsg(_AN_str_error_confirm_pass);
                return
            }
            if (password.length > 32) {
                this.infoMsg(_AN_str_error_pass);
            } else {
                $('#passForm').submit();
            }
        },
        infoMsg: function (msg) {
            $('#msgBox').removeClass('hide');
            $('#infoMsg').text(msg);
        },
        closeMsg: function () {
            $('#msgBox').addClass('hide');
        }
    }
    passchange.init();
})